DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelHeapIsEmpty

Query heap

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelHeapIsEmpty ( heap, result )

## FUNCTION

Checks to see if there are any items on the heap. See `PixelHeapNew` for information on the heap data structure.

## ARGUMENTS

Data type | Name | Description
`dip_PixelHeap` | `heap` | The heap structure
`dip_Boolean *` | `result` | Set to true if there are no items in the heap

## SEE ALSO

`PixelHeapNew`, `StablePixelHeapNew`, `PixelQueueNew`, `PixelHeapFree`, `PixelHeapPush`, `PixelHeapPop`

DIPlib on-line documentation | Function reference | Global function index